<script>

/*     import bcrypt from "bcrypt";
	export const saltRounds = 10; */
/* 	let password = 'ssjkfvwsx4$$w0rD';
	$: longueur=password.length
	let someOtherPlaintextPassword = 'not_bacon'; */
/* 
    function hashPwd() {
 		bcrypt.genSalt(saltRounds, function(err, salt) {
 		    bcrypt.hash(formulaire.password, salt, function(err, hash) {
 			// Store hash in your password DB.
            });
        });
 	} */

    

</script>



<body>

<div class="main_container">

<form method="post">
    <div class="content">

        <div class="text_container">
            <h2>Connexion</h2>
        </div>

        <div class="input_container">

            <label for="mail">Adresse mail :</label>
    
            <input 
                id="mail" 
                type="email" 
                name="mail" 
                required
            >
            

        </div>

        <div class="input_container">

            <label for="password">Mot de passe :</label>
    
            <input 
                id="password" 
                type="password" 
                name="password"
                min="8"
            >
            <!-- {#if longueur < 8}
                Mot de passe trop court : 8 caractères minimum
            {/if} -->
            

        </div>

    </div>

    <div class="button_container">
        <button type="submit">Confirmer</button> 
    </div>

    </form>

    <div class="text_container">
        <p>Pas encore de compte : <a href="/nouveau_compte">s'inscrire</a></p>
    </div>

</div>

</body>


<style>

    body {
    
        color: #f5b81e;
        font-family: impact, sans-serif;
    
        font-size: 30px;
        letter-spacing: 1px;
        word-spacing: 3px;
    
        display: flex;
        flex-direction: column;
        align-items: center;
    
    }
    
    p {
    
        font-size: 15px;
        word-spacing: 0px;
    
    }
    
    a {
    
        color: #f5b81e;
        text-decoration: none;
    
    }
    
    a:hover {
    
        text-decoration: underline;
    
    }
    
    .main_container {
    
        display: flex;
        flex-direction: column;
    
        border: double;
        border-color: #f5b81e;
    
        border-radius: 20px;
        border-width: 15px;
    
        padding: 50px 30px;
    
        width: 150%;
        height: 200%;
    
    }
    
    
    .input_container {
    
        display: flex;
        flex-direction: column;
        align-items: center;
    
        margin-bottom: 10%;
    
    }
    
    input{
    
        border: none;
        border-bottom: 2px solid #f5b81e;
    
        color: #f5b81e;
        background-color: #193b36;
    
        width: 100%;
        height: 100%;
    
        font-size: 20px;
    
    }
    
    
    .text_container {
    
        display: flex;
        flex-direction: column;
        align-items: center;
    
        margin-bottom: 10%;
    
    }
    
    .button_container {
    
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-top: 10%;
        margin-bottom: 10%;
    
    }
    
    button {
    
        font-size: 25px;
        border-radius: 15px;
        background-color: #f5b81e;
        border-color: none;
        box-shadow: 0 9px #181818;
    
    }
    
    button:hover {
    
        cursor: pointer;
    
    }
    
    button:active {
    
        box-shadow: 0 5px #666;
        transform: translateY(4px);
    
    }
    
    </style>